GET
/api/v2/referrals/creditsGET /api/v2/referrals/credits
Authentication
Send your API key in the x-api-key header on every request.
Parameters
| Field | Type | Required | Description |
|---|---|---|---|
| status (query) | string | No | |
| page (query) | unknown | No | |
| pageSize (query) | unknown | No |
Responses
200 — OK
| Field | Type | Required | Description |
|---|---|---|---|
| Id | string (uuid) | Yes | |
| UserId | unknown | Yes | |
| UserEmail | string | Yes | |
| Destination | string | Yes | |
| Amount | unknown | Yes | |
| Currency | string | Yes | |
| Status | string | Yes | |
| Attempts | unknown | Yes | |
| LastError | string | Yes | |
| NextAttemptAt | string (date-time) | Yes | |
| ProviderReference | string | Yes | |
| ProviderConfirmedAt | string (date-time) | Yes | |
| CreatedAt | string (date-time) | Yes | |
| UpdatedAt | string (date-time) | Yes | |
| RewardIds | array of string (uuid) | Yes |
Example request
curl -X GET "https://{base_url}/api/v2/referrals/credits" \
-H "x-api-key: YOUR_API_KEY"This page is generated from the live OpenAPI specification and always matches the current API.